PHP Manual
Prev |  | Next

# SDO_Sequence::move

(no version information, might be only in CVS)

SDO_Sequence::move -- Move an item to another sequence position

## Description

void SDO_Sequence::move ( int toIndex, int fromIndex )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Modify the position of the item in the sequence, without altering the value of the property in the SDO_DataObject.

## Parameters

`toIndex`

  The destination sequence index. If this index is less than zero or greater than the size of the sequence then the value is appended.

`fromIndex`

  The source sequence index.

## Return Values

None.

## Errors/Exceptions

`SDO_IndexOutOfBoundsException`

  Thrown if the fromIndex sequence index is less than zero or greater than the size of the sequence.

Prev | Home | Next
SDO_Sequence::insert | Up | SDO XML Data Access Service Functions